[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: aptitude puzzle



On Mon, Mar 30, 2009 at 12:19:13 -0400, Rick Pasotto wrote:
> Today's updates included openjdk-6-jre. When I try to install just this
> one package aptitude wants to remove esound. When I do 'aptitude show
> openjdk-6-jre' there is no mention of esound. It's not mentioned in the
> conflicts, depends, or recommends.
> 
> So why does aptitude want to remove esound?

$ aptitude why-not openjdk-6-jre esound
i A openjdk-6-jre            Recommends pulseaudio (>= 0.9.12)
p   pulseaudio               Recommends pulseaudio-esound-compat
p   pulseaudio-esound-compat Conflicts  esound

Is your aptitude configured to install "recommends" dependencies
automatically?

-- 
Regards,            | http://users.icfo.es/Florian.Kulzer
          Florian   |


Reply to: